<!DOCTYPE html>
<html>
    <body>
        <h2>All students:</h2>
        <ul>
            {% for student in students %}
            <li>
                <a href="{% url 'student_detail' student.roll_no %}">{{student}}</a> 
                <a href="{% url 'edit_student' student.id %}">Edit</a>
                <a href="{% url 'delete_student' student.roll_no %}">Delete</a>


            </li>

            </li>
            {% endfor %}
            <p>
                <a href="{% url 'create_student' %}">Create a new student</a>
            </p>

        </ul>
    </body>
</html>
